#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private JYA.SupRes[] cacheSupRes;

		
		public JYA.SupRes SupRes(int period1, int sensitivity)
		{
			return SupRes(Input, period1, sensitivity);
		}


		
		public JYA.SupRes SupRes(ISeries<double> input, int period1, int sensitivity)
		{
			if (cacheSupRes != null)
				for (int idx = 0; idx < cacheSupRes.Length; idx++)
					if (cacheSupRes[idx].Period1 == period1 && cacheSupRes[idx].Sensitivity == sensitivity && cacheSupRes[idx].EqualsInput(input))
						return cacheSupRes[idx];
			return CacheIndicator<JYA.SupRes>(new JYA.SupRes(){ Period1 = period1, Sensitivity = sensitivity }, input, ref cacheSupRes);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.JYA.SupRes SupRes(int period1, int sensitivity)
		{
			return indicator.SupRes(Input, period1, sensitivity);
		}


		
		public Indicators.JYA.SupRes SupRes(ISeries<double> input , int period1, int sensitivity)
		{
			return indicator.SupRes(input, period1, sensitivity);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.JYA.SupRes SupRes(int period1, int sensitivity)
		{
			return indicator.SupRes(Input, period1, sensitivity);
		}


		
		public Indicators.JYA.SupRes SupRes(ISeries<double> input , int period1, int sensitivity)
		{
			return indicator.SupRes(input, period1, sensitivity);
		}

	}
}

#endregion
